Robotsystem from Robot Group Leipzig: Transform Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# Transform Class Reference

`#include <primitive.h>`

Inheritance diagram for Transform:

[legend]
Collaboration diagram for Transform:

[legend]
List of all members.

## Detailed Description

Primitive for transforming a geom (primitive without body) in respect to a body (primitive with body).

Hides complexity of ODE TransformGeoms.

Definition at line 211 of file primitive.h.

## Public Member Functions
| Transform (Primitive *parent, Primitive *child, const osg::Matrix &pose)
virtual void | init (const OdeHandle &odeHandle, double mass, const OsgHandle &osgHandle, char mode=Body|Geom|Draw)
| mode is ignored
virtual void | update ()
| Updates the OSG nodes with ODE coordinates.
virtual OSGPrimitive * | getOSGPrimitive ()
| returns the assoziated osg primitive if there or 0
## Protected Attributes
Primitive * | parent
Primitive * | child
osg::Matrix | pose

## Constructor & Destructor Documentation

Transform | ( | Primitive * | parent,
|  | Primitive * | child,
|  | const osg::Matrix & | pose
| ) |

  | Parameters:
  | parent | primitive should have a body and should be initialised
  | child | is transformed by pose in respect to parent. This Primitive must NOT have a body
Definition at line 332 of file primitive.cpp.

## Member Function Documentation

virtual OSGPrimitive* getOSGPrimitive | ( |  | ) | `[inline, virtual]`

| returns the assoziated osg primitive if there or 0 Implements Primitive. Definition at line 225 of file primitive.h.

void init | ( | const OdeHandle & | odeHandle,
|  | double | mass,
|  | const OsgHandle & | osgHandle,
|  | char | mode = `Body|Geom|Draw`
| ) | `[virtual]`

| mode is ignored Implements Primitive. Definition at line 336 of file primitive.cpp.

void update | ( |  | ) | `[virtual]`

| Updates the OSG nodes with ODE coordinates. This function must be overloaded (usually calls setMatrix of OsgPrimitives) Implements Primitive. Definition at line 365 of file primitive.cpp.

## Member Data Documentation

Primitive* child`[protected]`

| Definition at line 229 of file primitive.h.

Primitive* parent`[protected]`

| Definition at line 228 of file primitive.h.

osg::Matrix pose`[protected]`

| Definition at line 230 of file primitive.h.